vulgar-words-censor

    1.1.0 • Public • Published

    Vulgar words censor

    Just a simple package for censoring vulgar words

    {
      "bad": "--CENSORED--",
      "good": "Let's go to library"
    }

    Installation:

    npm install vulgar-words-censor --save

    Usage:

    The javascript discipline used in this package is ES6 where the package.json is set to "type": "module"

    import { censor } from "vulgar-words-censor";
    
    let bad_dummytext = "This mother fucker is teribble !";
    let good_dummytext = "Let's go to library";
    
    console.log({
      bad: censor(bad_dummytext),
      good: censor(good_dummytext),
    });
    
    /**
     * output
     * {
     *      bad: '--CENSORED--',
     *      good: "Let's go to library"
     * }
     */

    Install

    npm i vulgar-words-censor

    DownloadsWeekly Downloads

    1

    Version

    1.1.0

    License

    MIT

    Unpacked Size

    2.68 kB

    Total Files

    4

    Last publish

    Collaborators

    • johnmelodymel